Page MenuHomePhabricator

Duplicate tasks are not listed in or near the description of the target task
Closed, ResolvedPublic

Description

As a user, I want to have a list of tasks currently marked as merged to the one I'm reading, so that I know what are the tasks currently marked as merged to the one I'm reading.


The description of T857 has no mention of the fact T625 was merged into it.
The fact should be noted:

  • in or around the description, with a list of all merged tasks (as with blocking tasks);
  • in the history of actions/comments [this is currently satisfied, but hard to find].

Upstream tasks:

Event Timeline

Nemo_bis created this task.Oct 25 2014, 9:57 AM
Nemo_bis raised the priority of this task from to Needs Triage.
Nemo_bis updated the task description. (Show Details)
Nemo_bis changed Security from none to None.
Nemo_bis added a subscriber: Nemo_bis.

It is listed but in a very difficult to discover way: https://phabricator.wikimedia.org/T857#14531

Qgil triaged this task as Lowest priority.Oct 26 2014, 5:59 AM
Qgil added a project: Phabricator (Upstream).
Nemo_bis updated the task description. (Show Details)Nov 19 2014, 9:21 AM

Which case? Having to scroll the ticket and look out for "has been marked as a duplicate of this bug" Bugzilla comments? That they are not somewhere at one place listed? That they are not linked?

Could someone please provide a clear user story with a resulting problem? I don't see yet which of all these aspects is the actual issue described here. Plus first comment was about tasks created in Phab merged into tasks created in Phab. Link provided above is about imported Bugzilla tasks hence also a different topic and behavior...

Not really... "I want to have a list because I want to have a list" is not a helpful usecase to me if I have no idea why you want that list...

He7d3r added a subscriber: He7d3r.Dec 4 2014, 10:16 AM
Qgil renamed this task from Duplicate tasks are not listed in their target task to Duplicate tasks are not listed in or near the description of the target task.Feb 5 2015, 10:34 PM

I think the point is that sometimes a task is marked as duplicate when it describes a special case of another task. Knowing these special cases might be helpful, so i think having a list would be a good thing.

Qgil added a subscriber: Qgil.Feb 23 2015, 9:45 AM

One problem of the current workflow is that tasks merged are logged in the history of the task, but no action is logged if the task is unmerged.

I think it is worth giving this request a shot and see what upstream thinks about it.

He7d3r awarded a token.Apr 6 2015, 8:58 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 22 2016, 2:21 PM

"Show merged tasks" in upstream is merged into "Adding related tasks" which is T76101 in our Phabricator instance.
Argumentation: If such information was provided, people would want to know all edge relationships (dups, blocked, seealso, etc) in general anyway.

Qgil added a comment.Nov 25 2016, 12:52 PM

Now that a "Related Objects" box exists, the merged task and the one receiving it reference to each other under "Mentioned in", but without any identification showing the "merged" relationship (see i.e. this and this tasks).

With the UI resolved, now this problem is perhaps more trivial to solve?

This project is selected for the Developer-Wishlist voting round and will be added to a MediaWiki page very soon. To the subscribers, or proposer of this task: please help modify the task description: add a brief summary (10-12 lines) of the problem that this proposal raises, topics discussed in the comments, and a proposed solution (if there is any yet). Remember to add a header with a title "Description," to your content. Please do so before February 5th, 12:00 pm UTC.

Aklapper updated the task description. (Show Details)Feb 20 2017, 2:12 PM
Aklapper moved this task from Backlog to Reported Upstream on the Upstream board.
Aklapper moved this task from Reported Upstream to Patch merged upstream on the Upstream board.

https://secure.phabricator.com/T12234 got resolved as fixed so we will also see this fixed in Wikimedia Phabricator next time we pull from upstream.

mmodell closed this task as Resolved.Jul 12 2017, 3:19 AM
mmodell claimed this task.